# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Removing unique constraint on 'Image', fields ['md5']
        db.delete_unique('images', ['md5'])


    def backwards(self, orm):
        # Adding unique constraint on 'Image', fields ['md5']
        db.create_unique('images', ['md5'])


    models = {
        u'bootspeed.image': {
            'Meta': {'unique_together': "(('release', 'variant', 'arch', 'build_number'),)", 'object_name': 'Image', 'db_table': "'images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'bootspeed.imagebuild': {
            'Meta': {'object_name': 'ImageBuild', 'db_table': "'image_builds'"},
            'build': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsBuild']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job_image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['bootspeed.JobImage']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'bootspeed.imagemachineagg': {
            'Meta': {'object_name': 'ImageMachineAgg', 'db_table': "'image_machine_agg'"},
            'boot_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'boot_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'boot_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'boot_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'desktop_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'desktop_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'desktop_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'desktop_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['bootspeed.Image']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'kernel_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['bootspeed.Machine']"}),
            'plumbing_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'plumbing_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'plumbing_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'plumbing_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'xorg_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_plumbing_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_plumbing_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_plumbing_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_plumbing_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_std': ('django.db.models.fields.FloatField', [], {'default': '0'})
        },
        u'bootspeed.imageresult': {
            'Meta': {'object_name': 'ImageResult', 'db_table': "'images_results'"},
            'boot': ('django.db.models.fields.FloatField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'desktop': ('django.db.models.fields.FloatField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['bootspeed.Image']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'kernel': ('django.db.models.fields.FloatField', [], {}),
            'kernel_init': ('django.db.models.fields.FloatField', [], {}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['bootspeed.Machine']"}),
            'plumbing': ('django.db.models.fields.FloatField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'xorg': ('django.db.models.fields.FloatField', [], {})
        },
        u'bootspeed.imageresultlog': {
            'Meta': {'object_name': 'ImageResultLog', 'db_table': "'image_result_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_result': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['bootspeed.ImageResult']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'path': ('django.db.models.fields.TextField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'remote_url': ('django.db.models.fields.URLField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'bootspeed.jobimage': {
            'Meta': {'object_name': 'JobImage', 'db_table': "'job_image'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'bootspeed.machine': {
            'Meta': {'object_name': 'Machine', 'db_table': "'machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': u"orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['bootspeed']