# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'bootspeed.views',
    url(
        r'^(?:arch/(?P<arch>\w+)/)?$',
        'arch_overview',
        name='bootspeed_arch_overview',
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<arch>\w+)/$',
        'machine_data',
        name='bootspeed_machine_data'
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<arch>\w+)/raw/$',
        'machine_raw_data',
        name='bootspeed_machine_raw_data'
    ),
    url(
        r'^job-bugs/image/$',
        'image_bugs_overview',
        name='bootspeed_image_bugs_overview'
    ),
    url(
        r'^job-bugs/image/(?P<image_id>\d+)/$',
        'image_bugs_detail',
        name='bootspeed_image_bugs_detail'
    ),
    url(r'^job-bugs/bug/$', 'bug_overview', name='bootspeed_bug_overview'),
    url(
        r'^job-bugs/bug/(?P<bug_id>\d+)/$',
        'bug_detail',
        name='bootspeed_bug_detail'
    ),
)
