# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'bootspeed.api',
    url(r'^arch/$', 'arch_list', name='bootspeed_api_arch_list'),
    url(
        r'^arch/(?P<arch>\w+)/$',
        'overall',
        name='bootspeed_api_arch_overall'
    ),
    url(
        r'^image/(?P<image_id>\d+)/result/$',
        'image_result_list',
        name="bootspeed_api_image_result_list",
    ),
    url(
        r'^image/result_count/$',
        'result_count',
        name='bootspeed_api_result_count',
    ),
    url(r'^machine/$', 'machine_list', name='bootspeed_api_machine_list'),
    url(
        r'^machine/(?P<machine_id>\d+)/$',
        'machine_detail',
        name='bootspeed_api_machine_detail',
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<arch>\w+)/results/$',
        'machine_results',
        name='bootspeed_api_machine_results',
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<arch>\w+)/(?P<section>\w+)/$',
        'machine_results_section',
        name='bootspeed_api_machine_results_section'
    ),
)
