# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import importlib

from django.core.management.base import NoArgsCommand

from qa_dashboard import settings
from plugins import EXTERNAL_PLUGIN_APPS


class Command(NoArgsCommand):
    help = "Find pull scripts from external plugins and run them"

    def handle_noargs(self, **options):
        for app in EXTERNAL_PLUGIN_APPS:
            name = app['name']
            path = os.path.join(settings.PROJECT_PATH, '..', name)
            if os.path.exists(path):
                mod = importlib.import_module("{}.dashboard".format(name))
                mod.extension.pull_data()
