# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import template
from django.conf import settings

register = template.Library()


class Analytics(template.Node):
    def __init__(self):
        self.code = getattr(settings, "GOOGLE_ANALYTICS_CODE", False)
        self.site = getattr(settings, "GOOGLE_ANALYTICS_SITE", False)

    def render(self, context):
        if not self.code:
            return "<!-- Google Site Verification not included because you \
haven't set the GOOGLE_ANALYTICS_CODE variable! -->"
        if settings.DEBUG:
            return "<!-- Google Analytics not included because you are in \
Debug mode! -->"
        return """<script type="text/javascript">

  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', '""" + str(self.code) + """', '""" + str(self.site) + """');
  ga('send', 'pageview');

</script>
"""


def do_analytics(parser, token):
    return Analytics()

register.tag('analytics', do_analytics)
