# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase

from common.management import parse_build_description


class TestBuildID(TestCase):

    def test_basic_build_number(self):

        build_description = "20130101.1"

        data = parse_build_description(build_description)

        self.assertEqual(data['build_number'], build_description)

    def test_complex_build_number(self):

        b_id_0 = "1"
        b_id_1 = "20130101.1"
        b_id_2 = "20130101"

        build_description = "{}:{}:{}".format(
            b_id_0,
            b_id_1,
            b_id_2,
        )

        data = parse_build_description(build_description)

        self.assertEqual(data['build_number'], build_description)
