# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase

from common.management import JenkinsBaseCommand


class JBCSubclass(JenkinsBaseCommand):
    pass


class JBCSubclassComplete(JenkinsBaseCommand):
    def _process_logs(self, build, build_date, install_data, func):
        pass


class TestJenkinsBaseCommand(TestCase):

    def test__process_logs(self):
        cmd = JBCSubclass()

        def fake():
            pass

        self.assertRaises(
            NotImplementedError,
            cmd._process_logs,
            {},
            '',
            {},
            fake,
        )

    def test__process_logs_works(self):
        """ Test base-class that defines _process_logs doesn't fail. """
        cmd = JBCSubclassComplete()

        cmd._process_logs(None, None, None, None)
