# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase

from common.utils import MySerializer
from smokeng.models import SmokeImage

class TestMySerializer(TestCase):

    def setUp(self):
        self.ser = MySerializer()
        self.ser_extra = MySerializer(use_extra_fields=True)
        self.image = SmokeImage.objects.create(
            build_number='20130931',
            arch='armhf',
            release='saucy',
            variant='touch',
        )

        self.assert_(self.image)

    def test_smokeng_image_has_id(self):
        """ Test that a serialized smoke image has an 'id' field. """

        json = self.ser.serialize([self.image])

        self.assertIn('id', json)

    def test_smokeng_image(self):
        """ Test that extra_fields are serialized. """

        json = self.ser_extra.serialize([self.image])

        self.assertIn('summary', json)

