# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'eventstat.views',
    url(
        r'^(?:arch/(?P<arch>\w+)/)?$',
        'arch_overview',
        name='eventstat_arch_overview',
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)' +
        r'/(?P<method>(install|upgrade))/$',
        'machine_details',
        name='eventstat_machine_details',
    ),
    url(
        r'^image/(?P<image_id>\d+)/machine/(?P<machine_id>\d+)' +
        r'/task/(?P<task>.*)/details/$',
        'image_task_overview',
        name='eventstat_image_task_overview',
    ),
    url(
        r'^upgrade/(?P<upgrade_id>\d+)/machine/(?P<machine_id>\d+)' +
        r'/task/(?P<task>.*)/details/$',
        'upgrade_task_overview',
        name='eventstat_upgrade_task_overview',
    ),
    url(
        r'^image/(?P<image_id>\d+)/machine/(?P<machine_id>\d+)' +
        r'/task_type/(?P<task_type>.*)/details/$',
        'image_details',
        name='eventstat_image_details',
    ),
    url(
        r'^upgrade/(?P<upgrade_id>\d+)/machine/(?P<machine_id>\d+)' +
        r'/task_type/(?P<task_type>.*)/details/$',
        'upgrade_details',
        name='eventstat_upgrade_details',
    ),
)
