# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'eventstat.api',
    url(
        r'^image/(?:arch/(?P<arch>\w+)/)?$',
        'images',
        name='eventstat_api_images',
    ),
    url(
        r'^machine/(?:arch/(?P<arch>\w+)/)?$',
        'machines',
        name='eventstat_api_machines',
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/(?P<method>(image|upgrade))/' +
        r'metrics/(?:(?P<name>\w+)/)?$',
        'machine_overview',
        name='eventstat_api_machine_overview',
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/image/(?P<image_id>\d+)/' +
        r'task/(?P<task>.*)/$',
        'task_overview',
        name='eventstat_api_task_overview',
    ),
    url(
        r'^machine/(?P<machine_id>\d+)/upgrade/(?P<upgrade_id>\d+)/' +
        r'task/(?P<task>.*)/$',
        'task_upgrade_overview',
        name='eventstat_api_task_upgrade_overview',
    ),
)
