# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from .models import (
    IdlePowerImage,
    IdlePowerMachine,
    IdlePowerLog,
    IdlePowerDetail,
    IdlePowerBuild,
)

from django.contrib import admin


class IdlePowerMachineAdmin(admin.ModelAdmin):
    list_display = ('name', 'mac_address')
    search_fields = ['name', 'mac_address']


class IdlePowerLogAdmin(admin.ModelAdmin):
    list_display = ('name', 'path')
    search_fields = ['name', 'path']


class IdlePowerImageAdmin(admin.ModelAdmin):
    list_display = (
        'release',
        'variant',
        'arch',
        'build_number',
        'image_type',
    )
    list_filter = [
        'release',
        'variant',
        'arch',
        'build_number',
    ]
    search_fields = [
        'release',
        'variant',
        'arch',
        'build_number',
    ]


class IdlePowerDetailAdmin(admin.ModelAdmin):
    list_display = (
        'image',
        'testcase',
    )


class IdlePowerBuildAdmin(admin.ModelAdmin):
    list_display = (
        'image',
        'build',
    )


admin.site.register(IdlePowerMachine, IdlePowerMachineAdmin)
admin.site.register(IdlePowerLog, IdlePowerLogAdmin)
admin.site.register(IdlePowerImage, IdlePowerImageAdmin)
admin.site.register(IdlePowerDetail, IdlePowerDetailAdmin)
admin.site.register(IdlePowerBuild, IdlePowerBuildAdmin)
