# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'IdlePowerImage'
        db.create_table('idle_power_images', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('md5', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('build_number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('image_type', self.gf('django.db.models.fields.CharField')(default=u'daily', max_length=10)),
        ))
        db.send_create_signal('idle_power', ['IdlePowerImage'])

        # Adding model 'IdlePowerMachine'
        db.create_table('idle_power_machines', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('mac_address', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('idle_power', ['IdlePowerMachine'])

        # Adding model 'IdlePowerLog'
        db.create_table('idle_power_logs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('path', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal('idle_power', ['IdlePowerLog'])

        # Adding model 'IdlePowerDetail'
        db.create_table('idle_power_details', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['idle_power.IdlePowerImage'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['idle_power.IdlePowerMachine'])),
            ('testcase', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('calculated_energy', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('charge_start', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('charge_used', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('energy_start', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('energy_used', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200)),
        ))
        db.send_create_signal('idle_power', ['IdlePowerDetail'])

        # Adding model 'IdlePowerBuild'
        db.create_table('idle_power_builds', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['idle_power.IdlePowerImage'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['idle_power.IdlePowerMachine'])),
            ('build', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.JenkinsBuild'])),
        ))
        db.send_create_signal('idle_power', ['IdlePowerBuild'])


    def backwards(self, orm):
        # Deleting model 'IdlePowerImage'
        db.delete_table('idle_power_images')

        # Deleting model 'IdlePowerMachine'
        db.delete_table('idle_power_machines')

        # Deleting model 'IdlePowerLog'
        db.delete_table('idle_power_logs')

        # Deleting model 'IdlePowerDetail'
        db.delete_table('idle_power_details')

        # Deleting model 'IdlePowerBuild'
        db.delete_table('idle_power_builds')


    models = {
        'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': "orm['common.Bug']"}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'idle_power.idlepowerbuild': {
            'Meta': {'object_name': 'IdlePowerBuild', 'db_table': "'idle_power_builds'"},
            'build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.JenkinsBuild']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['idle_power.IdlePowerImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['idle_power.IdlePowerMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'idle_power.idlepowerdetail': {
            'Meta': {'object_name': 'IdlePowerDetail', 'db_table': "'idle_power_details'"},
            'calculated_energy': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'charge_start': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'charge_used': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'energy_start': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'energy_used': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['idle_power.IdlePowerImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['idle_power.IdlePowerMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'testcase': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'idle_power.idlepowerimage': {
            'Meta': {'object_name': 'IdlePowerImage', 'db_table': "'idle_power_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '10'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'idle_power.idlepowerlog': {
            'Meta': {'object_name': 'IdlePowerLog', 'db_table': "'idle_power_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'idle_power.idlepowermachine': {
            'Meta': {'object_name': 'IdlePowerMachine', 'db_table': "'idle_power_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['idle_power']