import datetime

from model_mommy.recipe import Recipe, seq, foreign_key

from common.models import (
    JenkinsJob,
    JenkinsBuild,
)

from idle_power.models import (
    IdlePowerImage,
    IdlePowerLog,
    IdlePowerMachine,
    IdlePowerDetail,
    IdlePowerBuild,
)

image64 = Recipe(
    IdlePowerImage,
    arch='amd64',
    variant='desktop',
    release='raring',
    build_number=seq(1),
    md5=seq('amd64fake'),
    image_type='daily',
)

image386 = Recipe(
    IdlePowerImage,
    arch='i386',
    variant='desktop',
    release='raring',
    build_number=seq(1),
    md5=seq('i386fake'),
    image_type='daily',
)

machine = Recipe(
    IdlePowerMachine,
    name=seq('idle-power-machine'),
)

detail = Recipe(
    IdlePowerDetail,
    testcase="idle",
    ran_at=datetime.datetime.now(),
)

burn_detail = Recipe(
    IdlePowerDetail,
    testcase="burn",
    ran_at=datetime.datetime.now(),
)

log = Recipe(
    IdlePowerLog,
    path=seq('http://jenkins/log/'),
    name=seq('log'),
)

job = Recipe(
    JenkinsJob,
    name=seq('test-job'),
    url=seq('http://jenkins/job/'),
)

jenkins_build = Recipe(
    JenkinsBuild,
    job=foreign_key(job),
    failed="False",
    ran_at=datetime.datetime.now(),
    build_number=seq('100'),
)

build = Recipe(
    IdlePowerBuild,
    build=foreign_key(jenkins_build),
)
