# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from memevent.models import (
    MemoryEventImage,
    MemoryEventMachine,
    MemoryEventDetail,
)

from django.contrib import admin


class MemoryEventImageAdmin(admin.ModelAdmin):
    list_display = (
        'release',
        'variant',
        'arch',
        'build_number',
        'image_type',
        'publish',
    )
    list_filter = [
        'publish',
        'release',
        'variant',
        'arch',
        'build_number',
    ]
    search_fields = [
        'release',
        'variant',
        'arch',
        'build_number',
    ]


class MemoryEventMachineAdmin(admin.ModelAdmin):
    list_display = ('name', 'mac_address', 'publish')
    search_fields = ['name', 'mac_address']


class MemoryEventDetailAdmin(admin.ModelAdmin):
    list_display = (
        'image',
        'machine',
        'command',
        'event',
        'publish',
    )
    list_filter = [
        'publish',
        'machine',
        'image',
        'event',
    ]
    search_fields = ['image', 'command']


admin.site.register(MemoryEventImage, MemoryEventImageAdmin)
admin.site.register(MemoryEventMachine, MemoryEventMachineAdmin)
admin.site.register(MemoryEventDetail, MemoryEventDetailAdmin)
