# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import include, patterns, url

from common.plugin_helper import (
    Extension,
)


class MemoryEventExtension(Extension):
    URL_PATTERNS = patterns(
        '',
        url(r'^memory/memevent/', include('memevent.urls')),
        url(r'^api/memory/memevent/', include('memevent.urls_api')),
    )

    def contribute_to_kpis(self, kpi_mgr):
        return []

    @classmethod
    def name(cls):
        return cls.__name__


extension = MemoryEventExtension()
