# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public
# License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.


import json
import logging


def _get_json_data(filename):

    data = None

    with open(filename, 'r') as fp:
        data = json.load(fp)

    return data


def verify(reading):
    retval = True

    keys = ['event', 'data']

    for key in keys:
        if key not in reading:
            retval = False
            break

    return retval


def parse(data):

    key = 'readings'

    if key not in data:
        return None

    results = dict()

    for reading in data[key]:
        if verify(reading):
            event = reading['event']
            event_data = reading['data']

            logging.warn("event: %s", event)

            for pid, process in event_data.items():
                results.setdefault(event, []).append(process)

    return results

if __name__ == "__main__":

    data = _get_json_data("/home/josepht/test_memory_usage.json")
    results = parse(data)

    logging.warn("results: %s", results)
