# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'memory.views',
    url(
        r'^(?:arch/(?P<arch>\w+)/)?$',
        'arch_overview',
        name='memory_arch_overview'
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)' +
        r'/install/results/(?P<variant>\w+)/(?P<metric>\w+)/$',
        'machine_image_results',
        name='memory_machine_image_results',
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)' +
        r'/upgrade/results/(?P<variant>\w+)/(?P<metric>\w+)/$',
        'machine_upgrade_results',
        name='memory_machine_upgrade_results',
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)' +
        r'/install/result/(?P<result_id>\d+)/details/$',
        'machine_image_details',
        name='memory_machine_image_details',
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)' +
        r'/upgrade/result/(?P<result_id>\d+)/details/$',
        'machine_upgrade_details',
        name='memory_machine_upgrade_details',
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)/install/processes/$',
        'image_process_overview',
        name='memory_image_process_overview',
    ),
    url(
        r'^arch/(?P<arch>\w+)/machine/(?P<machine_id>\d+)/upgrade/processes/$',
        'upgrade_process_overview',
        name='memory_upgrade_process_overview',
    ),
)
