# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'memory.api',
    url(r'^images/$', 'images', name='memory_api_images'),
    url(
        r'^image/(?P<image_id>\d+)/$',
        'image_detail',
        name='memory_api_image_detail',
    ),
    url(r'^upgrades/$', 'upgrades', name='memory_api_upgrades'),
    url(
        r'^upgrade/(?P<upgrade_id>\d+)/$',
        'upgrade_detail',
        name='memory_api_upgrade_detail',
    ),
    url(r'^machines/$', 'machines', name='memory_api_machines'),
    url(
        r'^machine/(?P<machine_id>\d+)/$',
        'machine_detail',
        name='memory_api_machine_detail',
    ),
    url(
        r'^result/(?P<result_id>\d+)/$',
        'result_detail',
        name='memory_api_result_detail',
    ),
    url(
        r'^image/(?P<image_id>\d+)/machine/(?P<machine_id>\d+)/results/$',
        'image_machine_results',
        name='memory_api_image_machine_results',
    ),
    url(
        r'^image/(?P<image_id>\d+)/machine/(?P<machine_id>\d+)/metrics/$',
        'image_machine_metrics',
        name='memory_api_image_machine_metrics',
    ),
    url(
        r'^upgrade/(?P<upgrade_id>\d+)/machine/(?P<machine_id>\d+)/results/$',
        'upgrade_machine_results',
        name='memory_api_upgrade_machine_results',
    ),
    url(
        r'^upgrade/(?P<upgrade_id>\d+)/machine/(?P<machine_id>\d+)/metrics/$',
        'upgrade_machine_metrics',
        name='memory_api_upgrade_machine_metrics',
    ),
    url(
        r'^upgrade/machine/(?P<machine_id>\d+)/(?P<arch>\w+)/' +
        '(?P<variant>\w+)/metric/(?P<metric>\w+)/$',
        'upgrade_machine_arch_metrics',
        name='memory_api_upgrade_machine_arch_metrics',
    ),
    url(
        r'^image/machine/(?P<machine_id>\d+)/(?P<arch>\w+)/' +
        '(?P<variant>\w+)/metric/(?P<metric>\w+)/$',
        'image_machine_arch_metrics',
        name='memory_api_image_machine_arch_metrics',
    ),
    url(
        r'^image/machine/(?P<machine_id>\d+)/arch/(?P<arch>\w+)/process/$',
        'image_machine_arch_processes',
        name='memory_api_image_machine_arch_processes',
    ),
    url(
        r'^image/machine/(?P<machine_id>\d+)/arch/(?P<arch>\w+)/process/' +
        r'(?P<process>.+)/$',
        'image_machine_arch_processes',
        name='memory_api_image_machine_arch_processes',
    ),
    url(
        r'^upgrade/machine/(?P<machine_id>\d+)/arch/(?P<arch>\w+)/process/$',
        'upgrade_machine_arch_processes',
        name='memory_api_upgrade_machine_arch_processes',
    ),
    url(
        r'^upgrade/machine/(?P<machine_id>\d+)/arch/(?P<arch>\w+)/process/' +
        r'(?P<process>.+)/$',
        'upgrade_machine_arch_processes',
        name='memory_api_upgrade_machine_arch_processes',
    ),
    url(
        r'result/(?P<result_id>\d+)/processes/$',
        'result_processes',
        name='memory_api_result_processes',
    ),
)
