# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os

PLUGIN_APPS = (
    'bootspeed',
    'eventstat',
    'idle_power',
    'memevent',
    'memory',
    'power',
    'smokeng',
    'sru',
)

PLUGIN_PATHS = (
)

EXTERNAL_APPS = (
)

# Add apps from local_plugins.py
#
# Format:
#   EXTERNAL_PLUGIN_APPS = [
#      dict(
#          name='example',
#          bzr_url='lp:example',
#      ),
#      ...
#   ]
try:
    from local_plugins import EXTERNAL_PLUGIN_APPS
except ImportError:
    EXTERNAL_PLUGIN_APPS = ()

for app in EXTERNAL_PLUGIN_APPS:
    name = app['name']
    bzr_url = app['bzr_url']

    path = os.path.join(os.path.dirname(__file__), name)
    if os.path.exists(path):
        PLUGIN_APPS += (name,)

    if bzr_url not in EXTERNAL_APPS:
        EXTERNAL_APPS += (bzr_url,)
