# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, url

urlpatterns = patterns(
    'power.api',
    url(r'^images/$', 'images', name='power_api_images'),
    url(r'^machines/$', 'machines', name='power_api_machines'),
    url(r'^images/(?P<arch>\w+)/$', 'images', name='power_api_images_by_arch'),
    url(
        r'^image/(?P<image_id>\d+)/$',
        'image_detail',
        name='power_api_image_detail'
    ),
    url(
        r'^image/(?P<image_id>\d+)/machine/(?P<machine_id>\d+)/metrics/$',
        'image_machine_metrics',
        name='power_api_image_machine_metrics'
    ),
    url(
        r'^machines/(?P<machine_id>\w+)/(?P<arch>\w+)' +
        r'/metrics/(?P<name>[\w\s]+)/$',
        'machine_metric_results',
        name='power_api_machine_metric_results'
    ),
)
