# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

from django.conf.urls import include, patterns, url

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'^$', 'common.views.index', name='index'),
    url(r'^edit/$', 'common.views.edit_profile', name='edit_profile'),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^\+oops$', 'common.views.cause_oops', name='cause-oops'),
    url(r'^logout$', 'common.views.logout_view', name='logout'),
    (r'^openid/', include('django_openid_auth.urls')),
)

if 'runserver' in sys.argv:
    urlpatterns += patterns(
        '',
        (
            r'^static/(?P<path>.*)$',
            'django.views.static.serve',
            {'document_root': 'static'}
        )
    )


# add urls for plugins
from common.plugin_helper import ExtensionManager

em = ExtensionManager()
urlpatterns += em.get_urls()

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
urlpatterns += staticfiles_urlpatterns()
