# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import DataMigration
from django.db import models

from common.utils import update_build_numbers

class Migration(DataMigration):

    def forwards(self, orm):
        "Write your forwards methods here."
        # Note: Remember to use orm['appname.ModelName'] rather than "from appname.models..."

        # migrate data
        update_build_numbers(orm['smokeng.SmokeImage'].objects.all())

    def backwards(self, orm):
        "Write your backwards methods here."
        update_build_numbers(
            orm['smokeng.SmokeImage'].objects.all(),
            reverse=True,
        )

    models = {
        'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': "orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '1024'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'smokeng.smokeimage': {
            'Meta': {'object_name': 'SmokeImage', 'db_table': "'smoke_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'customization_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '200'}),
            'device_specific_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '200'}),
            'flavor': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'rootfs_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'smokeng.smokeresult': {
            'Meta': {'object_name': 'SmokeResult', 'db_table': "'smoke_results'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'error_count': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['smokeng.SmokeImage']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.JenkinsBuild']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'pass_rate': ('django.db.models.fields.FloatField', [], {'default': '0.0'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'smokeng.smokeresultbug': {
            'Meta': {'object_name': 'SmokeResultBug', 'db_table': "'smoke_result_bugs'"},
            'bug': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.Bug']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['smokeng.SmokeResult']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'smokeng.smoketestresult': {
            'Meta': {'object_name': 'SmokeTestResult', 'db_table': "'smoke_tests'"},
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'command_type': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['smokeng.SmokeResult']"}),
            'returncode': ('django.db.models.fields.IntegerField', [], {}),
            'stderr': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'stdout': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'testcase': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'testsuite': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['smokeng']
    symmetrical = True
