# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'SmokeTestResult.category'
        db.add_column('smoke_tests', 'category',
                      self.gf('django.db.models.fields.CharField')(default='', max_length=1, blank=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'SmokeTestResult.category'
        db.delete_column('smoke_tests', 'category')


    models = {
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': u"orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '4096'})
        },
        u'smokeng.smokeimage': {
            'Meta': {'object_name': 'SmokeImage', 'db_table': "'smoke_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'customization_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'device_specific_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'flavor': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'rootfs_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'smokeng.smokeresult': {
            'Meta': {'object_name': 'SmokeResult', 'db_table': "'smoke_results'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'error_count': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['smokeng.SmokeImage']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsBuild']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'pass_rate': ('django.db.models.fields.FloatField', [], {'default': '0.0'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '3'}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'smokeng.smokeresultbug': {
            'Meta': {'object_name': 'SmokeResultBug', 'db_table': "'smoke_result_bugs'"},
            'bug': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.Bug']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['smokeng.SmokeResult']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'smokeng.smoketestresult': {
            'Meta': {'object_name': 'SmokeTestResult', 'db_table': "'smoke_tests'"},
            'category': ('django.db.models.fields.CharField', [], {'max_length': '1', 'blank': 'True'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'command_type': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['smokeng.SmokeResult']"}),
            'returncode': ('django.db.models.fields.IntegerField', [], {}),
            'stderr': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'stdout': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'testcase': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'testsuite': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['smokeng']