# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import include, patterns, url

from smokeng.api import v1_api


urlpatterns = patterns(
    'smokeng.views',
    url(r'^api/', include(v1_api.urls)),
    url(
        r'^(?:(?P<release>\w+)/)?(?:(?P<variant>\w+)/)?$',
        'overview',
        name='smokeng_overview',
    ),
    url(
        r'^(?P<release>\w+)/(?P<variant>\w+)/(?P<arch>\w+)'
        '/(?P<build_number>'
        '(\d+:\d+(\.\d+|):\d+(\.\d+|)|\d+(\.\d+|( |%20)\?|)))'
        '/(?P<image_id>\d+)/$',
        'image_overview',
        name='smokeng_image_overview',
    ),
    url(
        r'^(?P<release>\w+)/(?P<variant>\w+)/(?P<arch>\w+)'
        '/(?P<build_number>'
        '(\d+:\d+(\.\d+|):\d+(\.\d+|)|\d+(\.\d+|( |%20)\?|)))'
        '/(?P<image_id>\d+)/(?P<name>.*)/(?P<id>\d+)/$',
        'test_result_detail',
        name='smokeng_test_result_detail',
    ),
    url(
        r'^(?P<release>\w+)/(?P<variant>\w+)/(?P<arch>\w+)'
        '/(?P<build_number>'
        '(\d+:\d+(\.\d+|):\d+(\.\d+|)|\d+(\.\d+|( |%20)\?|)))'
        '/(?P<image_id>\d+)/(?P<name>.*)/$',
        'image_test_results',
        name='smokeng_image_test_results',
    ),
)
