# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import include, patterns, url
from django.core.urlresolvers import reverse_lazy

from common.plugin_helper import (
    Extension,
)


class SRUExtension(Extension):
    URL_PATTERNS = patterns(
        '',
        url(r'^sru/', include('sru.urls')),
    )

    LINKS = [
        {
            'name': 'sru',
            'url': reverse_lazy('sru_index'),
            'label': 'SRU',
            'index': 200,
        },
    ]

    def contribute_to_kpis(self, kpi_mgr):
        return []

    @classmethod
    def name(cls):
        return cls.__name__


extension = SRUExtension()
