# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting model 'SRUResultLog'
        db.delete_table('sru_result_logs')


    def backwards(self, orm):
        # Adding model 'SRUResultLog'
        db.create_table('sru_result_logs', (
            ('sru_result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['sru.SRUResult'])),
            ('display_name', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
            ('remote_url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('path', self.gf('django.db.models.fields.TextField')()),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('sru', ['SRUResultLog'])


    models = {
        'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'sru.kernel': {
            'Meta': {'object_name': 'Kernel', 'db_table': "'kernels'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gpu': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job_type': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'sru.sruresult': {
            'Meta': {'object_name': 'SRUResult', 'db_table': "'sru_results'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['common.Bug']", 'symmetrical': 'False'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'kernel': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['sru.Kernel']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['sru']